#include <iostream>
#include <fstream>
#include <sstream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

long N, M;
vector<long> sellers, buyers;

inline void Input()
{
    stringstream ss;
    ifstream fin("businessman.in");
    ss<<fin.rdbuf();
    fin.close();

    ss>>N>>M;
    sellers.resize(N);
    buyers.resize(M);

    for(int i = 0; i < N; i++)
        ss>>sellers[i];

    for(int i = 0; i < M; i++)
        ss>>buyers[i];
}

int main()
{
    Input();

    sort(sellers.begin(), sellers.end());
    sort(buyers.begin(), buyers.end());

    for(int i = 0; i < N; i++)
        cout<<sellers[i]<<' ';
    cout<<endl;
    for(int i = 0; i < M; i++)
        cout<<buyers[i]<<' ';

    long long answer = 0;
    for(int i = 0; i < min(N, M); i++)
    {
        if(sellers[i] >= buyers[M-i-1])
            break;
        else
            answer += buyers[M-i-1] - sellers[i];
    }

    ofstream fout("businessman.out");
    fout<<answer<<endl;
    fout.close();

    return 0;
}
