#include <fstream>
#include <algorithm>
#include <utility>
int main(void)
{
    size_t n = 0, k = 0;
    unsigned long res = 0;
    std::ifstream in("businessman.in");
    in >> n >> m;
    unsigned long* sellers = new unsigned long[n];
    unsigned long* buyers = new unsigned long[m];
    for(size_t i = 0; i < n; i++)
               in >> sellers[i];
    for(size_t j = 0; j < m; j++)
               in >> buyers[j];
    in.close();
    std::sort(sellers, sellers+n);
    std::sort(buyers, buyers+m, std::greater<unsigned long>());
    for(size_t i = 0; i < n && i < m && sellers[i] < buyers[i]; i++)
               res += (buyers[i] - sellers[i]);
    std::ofstream out("businessman.out");
    out << res << '\n';
    out.close();
    delete[] sellers;
    delete[] buyers;
    return 0;
}
