#include <fstream>
#include <algorithm>
#include <utility>
int main(void)
{
    size_t n = 0, k = 0;
    std::ifstream in("transit.in");
    in >> n >> k;
    unsigned long* trains = new unsigned long[n];
    for(size_t i = 0; i < n; i++)
               in >> trains[i];
    in.close();
    std::sort(trains, trains+n, std::greater<unsigned long>());
    unsigned long res = trains[0];
    for(size_t i = 0; i < n-1; i++)
    {
               size_t temp = (trains[i]-trains[i+1])*(i+1);
               if(k >= temp)
               {
                    k -= temp;
                    res -= (trains[i]-trains[i+1]);
               }
               else
               {
                   res -= (trains[i]-trains[i+1] - (temp-k)/(i+1));
                   break;
               }
    }
    std::ofstream out("transit.out");
    out << res << '\n';
    out.close();
    delete[] trains;
    return 0;
}
