#include <iostream>
#include <fstream>
#include <sstream>
#include <vector>
#include <algorithm>
#include <cmath>
#define LONG unsigned long long
#define Long unsigned long

using namespace std;

int N, K;
long A, B;
long S;
vector<long> C;

inline void Input()
{
    stringstream ss;
    ifstream fin("video_cafe.in");
    ss<<fin.rdbuf();
    fin.close();

    ss>>N>>K;
    ss>>A>>B;
    ss>>S;

    C.resize(N);

    for(int i = 0; i < N; i++)
        ss>>C[i];
}

inline LONG CountAnswer(vector<int> &answers)
{
    LONG answer = 0;
    for(int i = 0; i < answers.size(); i++)
    {
        for(int j = 0; j < answers.size(); j++)
        {
            if(i == j)
                continue;
            answer += abs(C[j]-C[i]);
        }
    }
    return answer;
}

inline LONG Solve(vector<int> &answers)
{
    LONG best = 0, tmp;
    vector<int> tmpv;
    for(int i = answers.back()+1; i < N; i++)
    {
        if(C[i] > C[answers.back()] + B)
            break;
        else
        {
            tmpv = answers;
            tmpv.push_back(i);

            tmp = Solve(tmpv);
            if(tmp > best)
                best = tmp;
        }
    }
    return CountAnswer(tmpv);
}

int main()
{
    Input();

    vector<int> ans;
    ans.reserve(N);
    ofstream fout("video_cafe.out");
    fout<<Solve(ans)<<endl;
    fout.close();

    return 0;
}
